# Uses of Interface
org.eclipse.core.databinding.observable.IObservablesListener

Packages that use IObservablesListener
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.list
Provides classes for observing changes in lists.
org.eclipse.core.databinding.observable.map
Provides classes that can be used to observe changes in maps.
org.eclipse.core.databinding.observable.set
Provides classes that can be used to observe changes in sets.
org.eclipse.core.databinding.observable.value
Provides classes that can be used to observe changes in discrete values.

## Uses of IObservablesListener in org.eclipse.core.databinding.observable

Subinterfaces of IObservablesListener in org.eclipse.core.databinding.observable
Modifier and Type
Interface
Description
`interface`
`IChangeListener`
Listener for generic change events.
`interface`
`IDisposeListener`
Listener for dispose events.
`interface`
`IStaleListener`
Listener for staleness events.
Methods in org.eclipse.core.databinding.observable with parameters of type IObservablesListener
Modifier and Type
Method
Description
`void`
ChangeSupport.`addListener(Object listenerType, IObservablesListener listener)`
`protected void`
ChangeEvent.`dispatch(IObservablesListener listener)`
`protected void`
DisposeEvent.`dispatch(IObservablesListener listener)`
`protected abstract void`
ObservableEvent.`dispatch(IObservablesListener listener)`
Dispatch this event to the given listener.
`protected void`
StaleEvent.`dispatch(IObservablesListener listener)`
`void`
ChangeSupport.`removeListener(Object listenerType, IObservablesListener listener)`

## Uses of IObservablesListener in org.eclipse.core.databinding.observable.list

Subinterfaces of IObservablesListener in org.eclipse.core.databinding.observable.list
Modifier and Type
Interface
Description
`interface`
`IListChangeListener<E>`
Listener for changes to observable lists.
Methods in org.eclipse.core.databinding.observable.list with parameters of type IObservablesListener
Modifier and Type
Method
Description
`protected void`
ListChangeEvent.`dispatch(IObservablesListener listener)`

## Uses of IObservablesListener in org.eclipse.core.databinding.observable.map

Subinterfaces of IObservablesListener in org.eclipse.core.databinding.observable.map
Modifier and Type
Interface
Description
`interface`
`IMapChangeListener<K,V>`
Listener for changes to observable maps.
Methods in org.eclipse.core.databinding.observable.map with parameters of type IObservablesListener
Modifier and Type
Method
Description
`protected void`
MapChangeEvent.`dispatch(IObservablesListener listener)`

## Uses of IObservablesListener in org.eclipse.core.databinding.observable.set

Subinterfaces of IObservablesListener in org.eclipse.core.databinding.observable.set
Modifier and Type
Interface
Description
`interface`
`ISetChangeListener<E>`
Listener for changes to observable sets.
Methods in org.eclipse.core.databinding.observable.set with parameters of type IObservablesListener
Modifier and Type
Method
Description
`protected void`
SetChangeEvent.`dispatch(IObservablesListener listener)`

## Uses of IObservablesListener in org.eclipse.core.databinding.observable.value

Subinterfaces of IObservablesListener in org.eclipse.core.databinding.observable.value
Modifier and Type
Interface
Description
`interface`
`IValueChangeListener<T>`
Listener for changes to observable values.
`interface`
`IValueChangingListener<T>`
Listener for pre-change events for observable values.
Methods in org.eclipse.core.databinding.observable.value with parameters of type IObservablesListener
Modifier and Type
Method
Description
`protected void`
ValueChangeEvent.`dispatch(IObservablesListener listener)`
`protected void`
ValueChangingEvent.`dispatch(IObservablesListener listener)`